# Uses of Interface
org.eclipse.e4.ui.model.application.ui.MExpression

Packages that use MExpression
Package
Description
org.eclipse.e4.ui.model.application.ui
Application programming interfaces describing the Eclipse 4 state and container model elements.

## Uses of MExpression in org.eclipse.e4.ui.model.application.ui

Subinterfaces of MExpression in org.eclipse.e4.ui.model.application.ui
Modifier and Type
Interface
Description
`interface`
`MCoreExpression`
A representation of the model object 'Core Expression'.
`interface`
`MImperativeExpression`
A representation of the model object 'Imperative Expression'.
Methods in org.eclipse.e4.ui.model.application.ui that return MExpression
Modifier and Type
Method
Description
`MExpression`
MUIElement.`getVisibleWhen()`
Returns the value of the 'Visible When' containment reference.
Methods in org.eclipse.e4.ui.model.application.ui with parameters of type MExpression
Modifier and Type
Method
Description
`void`
MUIElement.`setVisibleWhen(MExpression value)`
Sets the value of the '`Visible When`' containment reference.